package service;

import java.rmi.*;

// Change start
import net.jini.core.event.*;
// Change end

// Change start
import net.jini.core.event.*;
// Change end

public interface Echo extends Remote {
    // There isn't any state with an echo service, which makes it a bit
    // hard to generate events. Implausibly, instead we have an event type
    // TEXT_CHANGED, which changes each time echo() is called, and an event
    //  is generated each time a change occurs

     // Change start from echo without events  
    static final int TEXT_CHANGED = 1;

    public EventRegistration addEventListener(RemoteEventListener l) 
	throws RemoteException;

    /* If we have an event, we must be able to find what changed 
     */
    public String getChangedText()
	throws RemoteException;
    // Change end

    String echo(String in) throws RemoteException;
}
